# build dynamically loaded  lib libsample.dl

target: libsample.dl

libsample.dl: sample_chdl.obj func3_chdl.obj func.obj
	ch dllink libsample.dl sample_chdl.obj \
                  func3_chdl.obj func.obj 
sample_chdl.obj:  sample_chdl.c
	ch dlcomp libsample.dl sample_chdl.c -I../src
func3_chdl.obj:  handmade/sample/func3_chdl.c
	ch dlcomp libsample.dl handmade/sample/func3_chdl.c -I../src
func.obj:  ../src/func.c
	ch dlcomp libsample.dl ../src/func.c -I../src
clean:
	del *.obj 
	del *.exp
	del *.lib
	del *.dl
	del *.manifest
